<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Cvičení 2</title>
</head>
<body>
<h1>Cvičení 2</h1>
<h2>Datum a čas</h2>
<a href="/date-and-time-servlet">Datum a čas</a>
<br/>
<h2>Parametry v hlavičce HTTP požadavku</h2>
<a href="/header-servlet">Hlavička</a>
<br/>
<br/>

<h2>Parametry</h2>
<h3>GET metoda (<em>parametry v URL</em>)</h3>
<a href="/parameter-servlet">Parametry (<em>je třeba doplnit parametry do URL adresy</em>)</a>
<br/>
<a href="/parameter-servlet?parameter=value&anotherParameter=Another Value&numberParameter=123">Parametry (<em>výchozí
    parametry</em>)</a>
<br/>

<form action="/parameter-servlet" method="get" name="get-method-form">
    <p>Formulář '<em>vloží</em>' parametry do URL adresy</p>
    <label>
        Zadej hodnotu parameteru '<em>parameter1</em>' <input name="parameter1" type="text">
    </label>
    <br/>
    <label>
        Zadej hodnotu parameteru '<em>parameter2</em>' <input name="parameter2" type="text">
    </label>
    <br/>
    <input type="submit">
</form>
<br/>

<h3>POST metoda (<em>parametry v Request.body</em>)</h3>
<form action="/parameter-servlet" method="post" name="post-method-form">
    <p>Formulář 'vloží' parametry do HTTP Request.body</p>
    <label>
        Zadej hodnotu parameteru '<em>parameter1</em>' <input name="parameter1" type="text">
    </label>
    <br/>
    <label>
        Zadej hodnotu parameteru '<em>parameter2</em>' <input name="parameter2" type="text">
    </label>
    <br/>
    <input type="submit">
</form>
<br/>

<h3>Kalkulačka</h3>
<form action="/calculator-servlet" method="post" name="calculator">
    <label>
        Číslo 1 <input name="number1" type="number">
    </label>
    <br/>
    <label>
        Operace <select name="operation">
        <option value="addition">+</option>
        <option value="subtraction">-</option>
        <option value="division">/</option>
        <option value="multiplication">*</option>
    </select>
    </label>
    <br/>
    <label>
        Číslo 2 <input name="number2" type="number">
    </label>
    <br/>
    <input type="submit" value="Vypočítat">
</form>

<br/>
<br/>
<a href="/index.html">Domů</a>
</body>
</html>
